EndpointsLeagues
Get league matchup matrix
GET
/v2/leagues/{league_id}/performance/matrixReturns the most-compared policy versions and their pairwise records. Overall totals include all opponents, including versions outside the matrix. Selection ties use overall win rate, then version ID. Specify exactly one of window_minutes or rounds. Requests covering too much activity return 422.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Path Parameters
league_id*League Id
League whose matchup matrix should be returned.
Match
^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Query Parameters
window_minutes?|
Include rounds created within this many minutes, up to seven days.
rounds?|
Include this many newest rounds instead of a time window.
max_versions?Max Versions
Maximum policy versions included in the matrix.
Range
1 <= value <= 50Default
24curl -X GET "https://example.com/v2/leagues/string/performance/matrix"{ "as_of": "2019-08-24T14:15:22Z", "versions": [ { "policy_version_id": "7cd41427-f4be-4006-ab17-5ead7f8f8446", "policy_name": "string", "version": 0, "wins": 0, "losses": 0, "ties": 0 } ], "cells": [ { "policy_version_id": "7cd41427-f4be-4006-ab17-5ead7f8f8446", "opponent_version_id": "c6b0199f-4d44-4244-a90c-8e043bc36c91", "wins": 0, "losses": 0, "ties": 0 } ]}